Debian Bug report logs - #645642
Please add armhf to architecture list

version graph

Package: yforth; Maintainer for yforth is Bdale Garbee <bdale@gag.com>; Source for yforth is src:yforth.

Reported by: Loïc Minier <lool@dooz.org>

Date: Mon, 17 Oct 2011 14:48:05 UTC

Severity: wishlist

Found in version yforth/0.1beta-21

Fixed in version yforth/0.1beta-22

Done: Bdale Garbee <bdale@gag.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Bdale Garbee <bdale@gag.com>:
Bug#645642; Package yforth. (Mon, 17 Oct 2011 14:48:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <lool@dooz.org>:
New Bug report received and forwarded. Copy sent to Bdale Garbee <bdale@gag.com>. (Mon, 17 Oct 2011 14:48:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Loïc Minier <lool@dooz.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Please add armhf to architecture list
Date: Mon, 17 Oct 2011 16:46:36 +0200
Package: yforth
Version: 0.1beta-21
Severity: wishlist

        Hi

 I see yforth lists armel armeb and arm in control, would you please
 also list armhf?  It should work just as well as armel, the only
 difference being floating point calling conventions, and that's hidden
 by GCC AFAICT.

 Also, I checked Packages-arch-specific and it has:
yforth: i386 m68k sparc arm armel powerpc kfreebsd-i386 kfreebsd-amd64 # compiler

 while your control has:
Architecture: alpha amd64 arm armeb armel hurd-i386 i386 kfreebsd-i386 kfreebsd-amd64 m68k powerpc ppc64 sparc

 what's puzzling is that you've listed 64-bits arches in control, but
 debian/changelog says:
yforth (0.1beta-10) frozen unstable; urgency=low

  * update control file to account for yforth not working on 64 bit machines.
    Instead of 'any', specify i386/m68k/sparc/arm.  I *think* all of those
    should work.  Update documentation to include my best contact info for.
    the upstream author, and acknowledge that there is no longer an upstream.
    site for this package.  Closes 32413.

 -- Bdale Garbee <bdale@gag.com>  Tue, 26 Jan 1999 09:18:24 -0700

 so maybe it's time to revert back to Architecture: any?

   Thanks,
-- 
Loïc Minier




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#645642; Package yforth. (Tue, 18 Oct 2011 02:39:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bdale Garbee <bdale@gag.com>:
Extra info received and forwarded to list. (Tue, 18 Oct 2011 02:39:10 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: Loïc Minier <lool@dooz.org>, 645642@bugs.debian.org, Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#645642: Please add armhf to architecture list
Date: Mon, 17 Oct 2011 22:36:49 -0400
[Message part 1 (text/plain, inline)]
On Mon, 17 Oct 2011 16:46:36 +0200, Loïc Minier <lool@dooz.org> wrote:
> Package: yforth
> Version: 0.1beta-21
> Severity: wishlist
> 
>  I see yforth lists armel armeb and arm in control, would you please
>  also list armhf?

Sure.

>  Also, I checked Packages-arch-specific and it has:
> yforth: i386 m68k sparc arm armel powerpc kfreebsd-i386 kfreebsd-amd64 # compiler
> 
>  while your control has:
> Architecture: alpha amd64 arm armeb armel hurd-i386 i386 kfreebsd-i386 kfreebsd-amd64 m68k powerpc ppc64 sparc
> 
>  what's puzzling is that you've listed 64-bits arches in control, but
>  debian/changelog says:
> yforth (0.1beta-10) frozen unstable; urgency=low
> 
>   * update control file to account for yforth not working on 64 bit machines.
>     Instead of 'any', specify i386/m68k/sparc/arm.  I *think* all of those
>     should work.  Update documentation to include my best contact info for.
>     the upstream author, and acknowledge that there is no longer an upstream.
>     site for this package.  Closes 32413.
> 
>  -- Bdale Garbee <bdale@gag.com>  Tue, 26 Jan 1999 09:18:24 -0700
> 
>  so maybe it's time to revert back to Architecture: any?

It looks like I did that back in 1999 to get around some problem, and
then over time people have let me know various other architectures work
and so I've added them back in.  I think you're right, though, making it
'any' won't hurt at this point... if it doesn't build on all
architectures, I may get some FTBFS bugs, but they won't be RC if the
package never built on that architecture before...

Bdale
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#645642; Package yforth. (Tue, 18 Oct 2011 02:39:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bdale Garbee <bdale@gag.com>:
Extra info received and forwarded to list. (Tue, 18 Oct 2011 02:39:12 GMT) Full text and rfc822 format available.

Reply sent to Bdale Garbee <bdale@gag.com>:
You have taken responsibility. (Tue, 18 Oct 2011 04:51:03 GMT) Full text and rfc822 format available.

Notification sent to Loïc Minier <lool@dooz.org>:
Bug acknowledged by developer. (Tue, 18 Oct 2011 04:51:03 GMT) Full text and rfc822 format available.

Message #20 received at 645642-close@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: 645642-close@bugs.debian.org
Subject: Bug#645642: fixed in yforth 0.1beta-22
Date: Tue, 18 Oct 2011 04:47:14 +0000
Source: yforth
Source-Version: 0.1beta-22

We believe that the bug you reported is fixed in the latest version of
yforth, which is due to be installed in the Debian FTP archive:

yforth_0.1beta-22.diff.gz
  to main/y/yforth/yforth_0.1beta-22.diff.gz
yforth_0.1beta-22.dsc
  to main/y/yforth/yforth_0.1beta-22.dsc
yforth_0.1beta-22_i386.deb
  to main/y/yforth/yforth_0.1beta-22_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 645642@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bdale Garbee <bdale@gag.com> (supplier of updated yforth package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 17 Oct 2011 22:37:52 -0400
Source: yforth
Binary: yforth
Architecture: source i386
Version: 0.1beta-22
Distribution: unstable
Urgency: low
Maintainer: Bdale Garbee <bdale@gag.com>
Changed-By: Bdale Garbee <bdale@gag.com>
Description: 
 yforth     - small freeware Forth environment in ANSI C
Closes: 645642
Changes: 
 yforth (0.1beta-22) unstable; urgency=low
 .
   * add Vcs entries to the control file
   * change from explicit architecture list back to arch 'any', since most
     current architectures should work, closes: 645642
Checksums-Sha1: 
 e9c63356d0a74e15481e0a847c9d1a8d5cd6d9ab 1715 yforth_0.1beta-22.dsc
 425562c0404102a80d2afae4e3f64b8a75c5227c 7166 yforth_0.1beta-22.diff.gz
 0c412394941d87f92d0390befaa0a7d20b08cd88 33090 yforth_0.1beta-22_i386.deb
Checksums-Sha256: 
 dad9c8bc58541051d343d7dea122452f12ecba4489144317a9e3323bfbf8d84e 1715 yforth_0.1beta-22.dsc
 9001d460372e67505f8c0a30fe4ce12ddc8f56035e7b78a600006251797d21c9 7166 yforth_0.1beta-22.diff.gz
 67fd55e35cd96744e3755604da53a570c403c887c3ffaf8638b6f1f34d3afcf4 33090 yforth_0.1beta-22_i386.deb
Files: 
 28bf69535be6ee61364feb1b898cbae3 1715 interpreters optional yforth_0.1beta-22.dsc
 7d7203393f610420c395776730ea0906 7166 interpreters optional yforth_0.1beta-22.diff.gz
 9582ea331a859b9325cf6ea5bcf18466 33090 interpreters optional yforth_0.1beta-22_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIVAwUBTp0BfzqTYZbAldlBAQpnpxAAllvSFpEhYmFVrs/94LcfG4fbivEX8Pr+
o83woy9hBQnywPoPvkDxM7Nmeyv02zws2nmVkJuPMSp5mYw/NB9yHsc3VbevIKxZ
CcnlAz4rdSrRyCx6VTV5oPvd6j3F6tSsXMMVc9ltX+j3Qa1t4wGy2A365Vi0fLdL
VXEUM21HevdZG9ruFVHgMJ2yto/v0DO4niK3rckI4evN+D1aaST7D5G746FPLfIL
jWGjzteen/qtmoaNTNs7DUgMDjC6wrAvbWpi9juLHbhyXsvwKOB2D6r0Qv6ukgaY
fSKOSdev0VeKd8cjc9e6wOZrDVMWNNA1lBa7urS+HeOnvtLHf1vgPb0rz4p5kyNd
Xg0YZ18EyGbDaff20u22POZdTF8b8A5deBIZwAPv61BjsHRGFT5Sp8QtA9PzCj0m
oJSsBLOdpIy+kQVFff7/A85JpCAt85sf1PM58i+rmrAaw1Gzifx1XiYmtLUjsvC7
MY9sMgH87aG+5PkTQpskVfOFcL9cDikeDdYb5RTgrsWSVxKuKmq+DRRyVS0MjNk2
CuAt66rmOi1xyxwr1DHzuG3nX0PbSsZOK3J4CQBWMGJURhwQklpVtrYlBz4bNI3p
5c8Jn5NgJTtVzYkCCjCstrQSNrhRdwaoYPnCVhaMfpwmVrUDWUh2z6PDJ0dYT3NB
um0UfLiswtQ=
=X5z7
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Bdale Garbee <bdale@gag.com>:
Bug#645642; Package yforth. (Tue, 18 Oct 2011 14:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <lool@dooz.org>:
Extra info received and forwarded to list. Copy sent to Bdale Garbee <bdale@gag.com>. (Tue, 18 Oct 2011 14:21:03 GMT) Full text and rfc822 format available.

Message #25 received at 645642@bugs.debian.org (full text, mbox):

From: Loïc Minier <lool@dooz.org>
To: Bdale Garbee <bdale@gag.com>
Cc: 645642@bugs.debian.org
Subject: Re: Bug#645642: Please add armhf to architecture list
Date: Tue, 18 Oct 2011 16:08:19 +0200
On Mon, Oct 17, 2011, Bdale Garbee wrote:
> It looks like I did that back in 1999 to get around some problem, and
> then over time people have let me know various other architectures work
> and so I've added them back in.  I think you're right, though, making it
> 'any' won't hurt at this point... if it doesn't build on all
> architectures, I may get some FTBFS bugs, but they won't be RC if the
> package never built on that architecture before...

 Makes sense; thanks!

-- 
Loïc Minier




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 29 Nov 2011 07:36:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:45:30 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.